<p align="center">
  <img width = "450" src="https://github.com/jlustigy/coronagraph/blob/master/docs/_static/logo6.png?raw=true"/>
  <br>
  A Python noise model for directly imaging exoplanets with coronagraph equipped telescopes.  
</p>

<p align="center">
  <a href="https://travis-ci.org/jlustigy/coronagraph"><img src="http://img.shields.io/travis/jlustigy/coronagraph/master.svg?style=flat"/></a>
  <a href="https://jlustigy.github.io/coronagraph/"><img src="https://img.shields.io/badge/read-the_docs-blue.svg?style=flat"/></a>
  <a href="http://joss.theoj.org/papers/29a123d0178ea95da358dafc0282e8f7"><img src="http://joss.theoj.org/papers/29a123d0178ea95da358dafc0282e8f7/status.svg"></a>
  <a href="https://github.com/jlustigy/coronagraph/blob/master/LICENSE"><img src="http://img.shields.io/badge/license-MIT-blue.svg?style=flat"/></a>
  <a href="https://coveralls.io/github/jlustigy/coronagraph?branch=master"><img src="https://coveralls.io/repos/github/jlustigy/coronagraph/badge.svg?branch=master&style=flat"/></a>
</p>

Documentation
=============

Please refer to the [code documentation](https://jlustigy.github.io/coronagraph/) for examples, API, and more. 

Installation
============

The simplest option is to install using `pip`:

```bash
   pip install coronagraph
```

Users may also clone the repository on Github:

```bash
   git clone https://github.com/jlustigy/coronagraph.git
   cd coronagraph
   python setup.py
```

Citation
========
If you use this model in your own research please cite [Robinson, Stapelfeldt & Marley (2016)](https://ui.adsabs.harvard.edu/abs/2016PASP..128b5003R/abstract) and [Lustig-Yaeger, Robinson & Arney (2019)](http://joss.theoj.org/papers/29a123d0178ea95da358dafc0282e8f7).  

```
@article{Lustig2019coronagraph,
	journal = {Journal of Open Source Software},
	doi = {10.21105/joss.01387},
	issn = {2475-9066},
	number = {40},
	publisher = {The Open Journal},
	title = {coronagraph: Telescope Noise Modeling for Exoplanets in Python},
	url = {http://dx.doi.org/10.21105/joss.01387},
	volume = {4},
	author = {Lustig-Yaeger, Jacob and Robinson, Tyler D. and Arney, Giada},
	pages = {1387},
	date = {2019-08-23},
	year = {2019},
	month = {8},
	day = {23},
}
```
